Subject: Re: [bug#59372] [PATCH] gnu: peek: Add missing input.

From: jgart <[email-masked]>
Date: Mon, 21 Nov 2022 08:27:15 -0600

On Sat, 19 Nov 2022 10:38:26 +0100 Tobias Geerinckx-Rice <[email-masked]> wrote:
> So what's the mechanism by which it would work?  It will need to 
> be documented.

Hi Tobias,

peek, needs either ffmpeg or gnome shell to be present.

See here for the exact reference:

https://github.com/phw/peek/blob/2daba7cf114e01cff870afd20b96b212a0252054/src/application.vala#L67

How should I handle that in Guix?

Should I patch ffmpeg? What if a user wants to use gnome-shell instead of ffmpeg?

Is there a switch I can provide in Guile code?

all best,

jgart